Page MenuHomePhabricator

Make sure cookie block EventLogging is only logging for edit actions
Closed, ResolvedPublic3 Story Points

Description

It looks like we're getting too many actions logged for cookie blocks. Let's check the logging code and make sure that only actual editing actions are being logged.

Event Timeline

kaldari created this task.Apr 5 2017, 12:03 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 5 2017, 12:03 AM
kaldari triaged this task as Normal priority.Apr 19 2017, 12:00 AM
kaldari set the point value for this task to 3.
kaldari moved this task from To be estimated/discussed to Estimated on the Community-Tech board.
Niharika claimed this task.Apr 21 2017, 6:46 PM
Niharika edited projects, added Community-Tech-Sprint; removed Community-Tech.
Niharika moved this task from Ready to In Development on the Community-Tech-Sprint board.

So this already seems to be true. There are multiple records when the same IP tries to edit repetitively. I don't believe that is a problem. The data looks solid. Here's the query I ran to find distinct cookie-blocked users so far.

mysql:research@dbstore1002.eqiad.wmnet [log]> select date_format(timestamp, '%Y-%m-%d') date, event_ip from CookieBlock_16241436 where event_is_cookie_block =1 group by event_ip;
kaldari closed this task as Resolved.Apr 22 2017, 12:17 AM
kaldari moved this task from Needs Review/Feedback to Q1 2018-19 on the Community-Tech-Sprint board.

Chart of EventLogging data to date (courtesy of Niharika):

DannyH moved this task from Estimated to Archive on the Community-Tech board.Apr 25 2017, 2:57 AM